Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.domain.entity
Class PlanningEntityDescriptor

    java.lang.Object
      org.drools.planner.core.domain.entity.PlanningEntityDescriptor

    public class PlanningEntityDescriptor

extends Object

Constructor Summary
`PlanningEntityDescriptor(SolutionDescriptor solutionDescriptor, Class<?> planningEntityClass)`

Method Summary
`boolean` | `appliesToPlanningEntity(Object entity)`
`List<Object>` | `extractEntities(Solution solution)`
`SelectionFilter` | `getMovableEntitySelectionFilter()`
`Class<?>` | `getPlanningEntityClass()`
`PlanningEntitySorter` | `getPlanningEntitySorter()`
`PlanningVariableDescriptor` | `getPlanningVariableDescriptor(String propertyName)`
`Collection<PlanningVariableDescriptor>` | `getPlanningVariableDescriptors()`
`Collection<String>` | `getPlanningVariableNameSet()`
`long` | `getProblemScale(Solution solution, Object planningEntity)`
`PropertyDescriptor` | `getPropertyDescriptor(String propertyName)`
`SolutionDescriptor` | `getSolutionDescriptor()`
`boolean` | `hasMovableEntitySelectionFilter()`
`boolean` | `isInitialized(Object planningEntity)` Deprecated.
`void` | `processAnnotations()`
`String` | `toString()`
`void` | `uninitialize(Object planningEntity)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PlanningEntityDescriptor

    public PlanningEntityDescriptor(SolutionDescriptor solutionDescriptor,
                                    Class<?> planningEntityClass)

Method Detail

### processAnnotations

    public void processAnnotations()

### getSolutionDescriptor

    public SolutionDescriptor getSolutionDescriptor()

### getPlanningEntityClass

    public Class<?> getPlanningEntityClass()

### appliesToPlanningEntity

    public boolean appliesToPlanningEntity(Object entity)

### getPlanningEntitySorter

    public PlanningEntitySorter getPlanningEntitySorter()

### hasMovableEntitySelectionFilter

    public boolean hasMovableEntitySelectionFilter()

### getMovableEntitySelectionFilter

    public SelectionFilter getMovableEntitySelectionFilter()

### getPropertyDescriptor

    public PropertyDescriptor getPropertyDescriptor(String propertyName)

### getPlanningVariableNameSet

    public Collection<String> getPlanningVariableNameSet()

### getPlanningVariableDescriptors

    public Collection<PlanningVariableDescriptor> getPlanningVariableDescriptors()

### getPlanningVariableDescriptor

    public PlanningVariableDescriptor getPlanningVariableDescriptor(String propertyName)

### extractEntities

    public List<Object> extractEntities(Solution solution)

### getProblemScale

    public long getProblemScale(Solution solution,
                                Object planningEntity)

### isInitialized

    @Deprecated
    public boolean isInitialized(Object planningEntity)

  Deprecated.

### uninitialize

    public void uninitialize(Object planningEntity)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.